//
// /api/cycle-tracking
//

var express = require('express')
var router = express.Router()

let CycleTracking = require('@models/CycleTracking');

let userId = null
let masterKey = null

// middleware that is specific to this router
router.use(function setUserId (req, res, next) {

	//Session key is required to continue
	if(!req.headers.sessionId){
		next('Unauthorized')
	}

	if(req.headers.userId){
		userId = req.headers.userId
		masterKey = req.headers.masterKey
		next()
	}
})

//Get quick note text
router.post('/get', function (req, res) {
	CycleTracking.get(userId, masterKey)
	.then( data => res.send(data) )
})

//Push text to quick note
router.post('/save', function (req, res) {
	CycleTracking.save(userId, req.body.cycleData, masterKey)
	.then( data => res.send(data) )
})


module.exports = router